import React from "react";
import { ErrorBoundaryProps, OnDidCatchCallback } from "./ErrorBoundary";
/**
 * createErrorBoundary
 * Accepts a onDidCatch callback.
 * Creates a UseErrorBoundaryWrapper HOC, to keep the onDidCatch callback while
 * still providing the ability to pass props to the ErrorBoundary
 */
export declare type UseErrorBoundaryWrapper = (props: Omit<ErrorBoundaryProps, "onDidCatch">) => React.ReactElement;
export declare function createErrorBoundary(onDidCatch: OnDidCatchCallback): UseErrorBoundaryWrapper;
