import { UseErrorBoundaryWrapper } from "./create-error-boundary";
export interface ErrorState {
    didCatch: boolean;
    error: any | null;
}
export interface UseErrorBoundaryState extends ErrorState {
    ErrorBoundary: UseErrorBoundaryWrapper;
}
/**
 * useErrorBoundary hook options.
 */
export interface UseErrorBoundaryOptions {
    /**
     * Gets called when the ErrorBoundary catches an error.
     *
     * You can use this for logging or reporting errors.
     */
    onDidCatch?: (error: any, errorInfo: any) => void;
}
declare function useErrorBoundary(options?: UseErrorBoundaryOptions): UseErrorBoundaryState;
export default useErrorBoundary;
